#include "mainwindow.h"
#include <QFormBuilder>
#include <QFile>
#include <QMessageBox>
#include <QVBoxLayout>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    QFormBuilder builder;
    QFile file(":/myform.ui");
    file.open(QFile::ReadOnly);
    QWidget *myWidget = builder.load(&file, this);
    if (myWidget == nullptr) {
        QString msg = tr("Loading UI file failed: %1").arg(builder.errorString());
        QMessageBox::critical(this, tr("Error"), msg, QMessageBox::Ok, QMessageBox::NoButton);
    }
    file.close();

    // Save the form as a UI file.
    QFile saveFile("savedform.ui");
    saveFile.open(QFile::WriteOnly);
    builder.save(&saveFile, myWidget);
    saveFile.close();
}
